Summary: LSB X Window System Test Suite (VSW4)
Name: lsb-test-vsw4
Version: 2.1.0
Release: 1
License: MIT
Group: Development/Tools
Source: lsb-test-vsw4-2.1.0.tar.gz
URL: http://www.linuxbase.org/test
#Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
AutoReqProv: no
%define	tet_root	%{_libdir}/tet

%description

This is a binary version of the LSB X Window System test suite. 
These tests are derived from the VSW4 XTest test suites.

#==================================================
%prep

set -x

%setup -q -c 

# %setup -D -b 1 -c
# %setup -D -b 2 -c
# %setup -D -b 3 -c


#==================================================
%build

cd lsb-vsw4
sed -e "s\\tcc -b -p$\\tcc -b -p -s link_scen xtest linkbuild\\" build.sh > build_spacesaving.sh
chmod +x build_spacesaving.sh

# use soft link instead the hard link
find xtest/tset -name Makefile -print | while read src ; do
	dst=$src.tmp
	sed -e "s\\\$(LN) ../Tests \$(LINKEXEC)\\ln -s ../Tests \$(LINKEXEC)\\" \
	    -e "s\\\$(LN) ../Tests m\$(LINKEXEC)\\ln -s ../Tests m\$(LINKEXEC)\\" $src > $dst
	rm -f $src
	mv $dst $src
done

./build_spacesaving.sh

#==================================================
%install

mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/tet
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/results
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4
mkdir -p ${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/xtest

for thing in tet/bin tet/lib xtest/bin xtest/tet_code xtest/link_scen xtest/tetexec.cfg; do
    if [ -d "lsb-vsw4/$thing" ]; then 
        cp -prf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/$thing" 
    else
        cp -pf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/$thing" 
    fi
done

for thing in README README.first License xtest/VSWrel4.1.1 xtest/doc xtest/xopen_doc; do
    if [ -d "lsb-vsw4/$thing" ]; then 
        cp -prf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/$thing" 
    else
        cp -pf "lsb-vsw4/$thing" "${RPM_BUILD_ROOT}/opt/lsb/doc/lsb-vsw4/$thing" 
    fi
done

cp -prf lsb-vsw4/xtest/fonts/xtfont*.pcf* ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
cp -prf lsb-vsw4/xtest/fonts/fonts.dir ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest/fonts
sed -e "s\\tcc -e -v DISPLAY=\$TEST_DISPLAY$\\tcc -e -v DISPLAY=\$TEST_DISPLAY -s link_scen xtest linkexec\\" lsb-vsw4/run_vsw4.sh > ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/run_vsw4.sh
chmod +x ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/run_vsw4.sh

rsync -aH --exclude="*.[o|h|m|c]" --exclude="Makefile" --exclude="*asserts" --exclude="*.err" --exclude="tet*" lsb-vsw4/xtest/tset ${RPM_BUILD_ROOT}/opt/lsb/test/vsw4/xtest

#==================================================
%clean
# uncomment later. leave in now for speed
if [ -z "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]; then 
    rm -rf ${RPM_BUILD_ROOT}
fi


#======================================================================
%post

# create .Xdefaults and .Xdefaults-name for testing
cp -pf /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/Xdefaults /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/.Xdefaults
cp -pf /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/HstXdefaults /opt/lsb/test/vsw4/xtest/tset/CH10/gtdflt/.Xdefaults-`hostname`
rm -f /opt/lsb/test/vsw4/.configured > /dev/null 2>&1

echo 
echo To run the tests cd to /opt/lsb/test/vsw4 and execute run_vsw4.sh
echo Note that you will need to have the X virtual frame buffer 
echo package installed
echo You will need to run the tests as root, or chown all of the files,
echo to a user you want to run the tests as.

#==================================================
%files
%defattr(-,root,root)
%config(noreplace) /opt/lsb/test/vsw4/xtest/tetexec.cfg

/opt/lsb/test/vsw4/tet/bin
/opt/lsb/test/vsw4/tet/lib
/opt/lsb/test/vsw4/xtest/bin
/opt/lsb/test/vsw4/xtest/fonts
/opt/lsb/test/vsw4/xtest/tset
/opt/lsb/test/vsw4/xtest/link_scen
/opt/lsb/test/vsw4/xtest/tet_code
/opt/lsb/test/vsw4/run_vsw4.sh
/opt/lsb/doc/lsb-vsw4

%dir /opt/lsb/test/vsw4/xtest/results

#==================================================
%changelog
* Tue Jan 18 2005 Marvin Heffler <heffler@us.ibm.com>
- change Version to 2.1.0 and Release to 1 for official release

* Tue Nov 30 2004 Hong Bo Peng <penghb@cn.ibm.com>
- repackage to reduce package size
- various bug fixes for VSW4
